Reset the password to specific value
PUT /api/users/{user_id}/password_reset
PUT /api/users/{user_id}/password_resetInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
user_id*string
The user ID.
Length
1 <= lengthRequest Body
application/json
The request to reset the password.
Response Body
application/json
curl -X PUT "$API_BASE_URL/api/users/86fb9981-d9d2-4555-9df8-91ae92129335/password_reset" \ -H "Content-Type: application/json" \ -d '{ "password": "safe-password" }'Operation completed successfully with no response body.
""Invalid arguments. Error details will be provided in the response.
Complete operation details and schema variants
PUT /api/users/{user_id}/password_reset
Reset the password to specific value
Reset a specified user's password to an administrator-provided value. Use this for recovery or emergency credential rotation.
Required IAM Permission: Action iam:ResetPassword, Resource arn:api7:iam:user/%s
Parameters
user_id(path, string, required): The user ID.
Request body
Content type: application/json
password(string, required): The password of the user.
Responses
200: Operation completed successfully with no response body.400: Invalid arguments. Error details will be provided in the response.
cURL
curl -X PUT '$API_BASE_URL/api/users/{user_id}/password_reset'